import java.io.BufferedReader;
import java.io.InputStreamReader;
import java.util.ArrayList;

public class exchange {

	public static void main(String[] args) throws Exception{
		BufferedReader rd = new BufferedReader(new InputStreamReader(System.in));
		
		ArrayList<bid> bids = null;
		String line = null;

		while (!(line = rd.readLine()).equals("0 END")){
			String parm[] = line.split(" +");
			int num = Integer.parseInt(parm[0]);
			System.out.println(parm[1]);

			bids = new ArrayList<bid>(num);
			for (int i = 0;i<num;i++){
				line = rd.readLine();
				parm = line.split(" +");
				bids.add(new bid(parm[0],parm[1].equals("sell"),Double.parseDouble(parm[2])));
			}		
			for (int i = 0;i<bids.size();i++){
				bid now = bids.get(i);
				//System.out.println("now = "+now.name+"~"+now.sell+"~"+now.offer);
				String msg = now.name+":";
				String offers = "";
				for (int j =0;j<bids.size();j++){
					if (i!=j){
						bid offerer = bids.get(j);
						//System.out.println("ofr = "+offerer.name+"~"+offerer.sell+"~"+offerer.offer);
						if (now.sell!=offerer.sell && (now.sell && offerer.offer>=now.offer || !now.sell && offerer.offer<=now.offer)){
							offers +=" "+offerer.name;
						}
					}
				}
				msg += offers.equals("")?" NO-ONE":offers;
				System.out.println(msg);
			}
		}
	}

	protected static class bid{
		private String name;
		private boolean sell;
		private double offer;

		public bid(String name,boolean sell,double offer){
			this.name = name;
			this.sell = sell;
			this.offer = offer;
		}

	}
}
